Support » Plugin: WooCommerce » my current theme doesnt support woocoomers

  • hi,

    i wanted to do this solution:

    http://docs.woothemes.com/document/t…ty/#usinghooks

    should i have to paste this in my functions.php?

    remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
    remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);

    and where i have to past this here?

    add_action('woocommerce_before_main_content', 'my_theme_wrapper_start', 10);add_action('woocommerce_after_main_content', 'my_theme_wrapper_end', 10);
    
    function my_theme_wrapper_start() {
      echo '<section id="main">';
    }
    
    function my_theme_wrapper_end() {
      echo'</section>';

    http://wordpress.org/extend/plugins/woocommerce/

Viewing 7 replies - 1 through 7 (of 7 total)
  • Plugin Author Mike Jolley

    (@mikejolley)

    Both go in your theme functions.php, and the :

    echo ‘<section id=”main”>’;

    echo'</section>’;

    Need changing to use whatever your theme uses. Look at your theme template files – page.php for example.

    hi,

    please let me know what i have to change.

    our website is

    http://www.komili.eu

    and our theme have problems with woocoomerce.

    it would be fine if someone can help us.

    thanks.

    Plugin Author Mike Jolley

    (@mikejolley)

    I’d suggest using the woocommerce.php method shown here: http://docs.woothemes.com/document/third-party-custom-theme-compatibility/#usingwoocommercecontent

    It’s easier for beginners.

    hi, i need step to step help. ok this is my page.php

    http://pastebin.kubuntu-de.org/457

    i rename it in woocommerce.php. should i save the woocommerce.php in:

    /wp-content/themes/suffusion

    ?

    Plugin Author James Koster

    (@jameskoster)

    Duplicate that page and rename it ‘woocommerce.php’.

    Then, replace:

    global $post;
    if (have_posts()) {
    	while (have_posts()) {
    		the_post();
    		$original_post = $post;
    		do_action('suffusion_before_post', $post->ID, 'blog', 1);
    ?>
    		<article <?php post_class(); ?> id="post-<?php the_ID(); ?>">
    <?php suffusion_after_begin_post(); ?>
    			<div class="entry-container fix">
    				<div class="entry fix">
    					<?php suffusion_content(); ?>
    				</div><!--/entry -->
    			<?php
    				// Due to the inclusion of Ad Hoc Widgets the global variable $post might have got changed. We will reset it to the original value.
    				$post = $original_post;
    				suffusion_after_content();
    			?>
    			</div><!-- .entry-container -->
    <?php
    suffusion_before_end_post();
    comments_template();
    ?>
    
    		</article><!--/post -->
    
    <?php
    		do_action('suffusion_after_post', $post->ID, 'blog', 1);
    	}
    }

    with:

    woocommerce_content();

    Thanks

    hi i have done it but can you check the shop:

    http://www.komili.eu/shop

    it doesnt work correctly.

    the products are one below the other.

    and there is a big field above. that wasnt there before.

    do i something wrong? who can help me please?

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘my current theme doesnt support woocoomers’ is closed to new replies.